import sys
import json
from cky import CKY
from rulparam import RuleParameter


if len(sys.argv) < 3:
    print 'Usage: python', sys.argv[0], 'counts_out_file dev_dat_file'
    quit()
fn_counts = sys.argv[1]
fn_dev = sys.argv[2]

ROOT = 'SBARQ'
rp = RuleParameter(fn_counts)
cky = CKY(ROOT, rp)
with open(fn_dev, 'r') as fin:
    for l in fin:
        sentence = l.split()
        print json.dumps(cky.parse(sentence))
        