import json

class TrainDataIter:
    """ Read a train data file and returns a sentence tree one by one """
    def __init__(self, filename):
        self._fin = open(filename, 'r')

    def __iter__(self):
        return self

    def next(self):
        l = self._fin.readline()
        if not l:
            self._fin.close()
            raise StopIteration
        try:
            tree = json.loads(l)
        except:
            self._fin.close()
            raise
        return tree

if __name__ == "__main__":
    line_count = 0
    for t in TrainDataIter('parse_train.dat'):
        print t
        line_count += 1
    print line_count, " lines"
    